Package org.spongepowered.asm.mixin

## Class FabricUtil

- java.lang.Object
- - org.spongepowered.asm.mixin.FabricUtil

-     public final class FabricUtil
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `COMPATIBILITY_0_10_0` | Fabric compatibility version 0.10.0
    `static int` | `COMPATIBILITY_0_14_0` | Fabric compatibility version 0.14.0
    `static int` | `COMPATIBILITY_0_16_5` | Fabric compatibility version 0.16.5
    `static int` | `COMPATIBILITY_0_9_2` | Fabric compatibility version 0.9.2
    `static int` | `COMPATIBILITY_LATEST` | Latest compatibility version
    `static java.lang.String` | `KEY_COMPATIBILITY` |
    `static java.lang.String` | `KEY_MOD_ID` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `getCompatibility​(ISelectorContext context)` |
    `static java.lang.String` | `getModId​(IMixinConfig config)` |
    `static java.lang.String` | `getModId​(IMixinConfig config, java.lang.String defaultValue)` |
    `static java.lang.String` | `getModId​(ISelectorContext context)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_MOD_ID

          public static final java.lang.String KEY_MOD_ID

      See Also:
        Constant Field Values

    - #### KEY_COMPATIBILITY

          public static final java.lang.String KEY_COMPATIBILITY

      See Also:
        Constant Field Values

    - #### COMPATIBILITY_0_9_2

          public static final int COMPATIBILITY_0_9_2

      Fabric compatibility version 0.9.2
      See Also:
        Constant Field Values

    - #### COMPATIBILITY_0_10_0

          public static final int COMPATIBILITY_0_10_0

      Fabric compatibility version 0.10.0
      See Also:
        Constant Field Values

    - #### COMPATIBILITY_0_14_0

          public static final int COMPATIBILITY_0_14_0

      Fabric compatibility version 0.14.0
      See Also:
        Constant Field Values

    - #### COMPATIBILITY_0_16_5

          public static final int COMPATIBILITY_0_16_5

      Fabric compatibility version 0.16.5
      See Also:
        Constant Field Values

    - #### COMPATIBILITY_LATEST

          public static final int COMPATIBILITY_LATEST

      Latest compatibility version
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getModId

          public static java.lang.String getModId​(IMixinConfig config)

    - #### getModId

          public static java.lang.String getModId​(IMixinConfig config,
                                                  java.lang.String defaultValue)

    - #### getModId

          public static java.lang.String getModId​(ISelectorContext context)

    - #### getCompatibility

          public static int getCompatibility​(ISelectorContext context)